<?php

/**
 * Phire Content Add Page
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../bootstrap.php';
require_once '../core/process/session.check.php';

include_once '../core/process/init.php';
include_once '../core/includes/page.header.php';

?>
        <h2 class="blueHeader"><?php $lang->_e('Content'); ?> &gt; <?php $lang->_e('Pages'); ?> &gt; <?php $lang->_e('Add Page'); ?></h2>
<?php

// Check if an add page form has been submitted and has returned with errors.
if (isset($sess->add_page_form)) {

    try {

        $sess->add_page_form->render();

    } catch (Exception $e) {

        unset($sess->add_page_form);

        $form = new Phire_Form_Page('../core/process/add.page.php', 'post', '        ');
        $form->init(array('plugin' => $plugin, 'page_user_id' => $sess->user_id));
        $form->render();

    }

// Else, initialize and render a new add page form.
} else {

    $form = new Phire_Form_Page('../core/process/add.page.php', 'post', '        ');
    $form->init(array('plugin' => $plugin, 'page_user_id' => $sess->user_id));
    $form->render();

}

include_once '../core/includes/footer.php';

?>