<?php
/**
 * Phire CMS
 *
 * LICENSE
 *
 * This source file is subject to the new BSD license that is bundled
 * with this package in the file LICENSE.TXT.
 * It is also available through the world-wide-web at this URL:
 * http://www.phirecms.org/LICENSE.TXT
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@phirecms.org so we can send you a copy immediately.
 *
 * @category   Phire
 * @package    Phire_Language
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 */

/**
 * Phire_Language
 *
 * @category   Phire
 * @package    Phire_Language
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

class Phire_Language extends Moc10_Language
{

    /**
     * Constructor
     *
     * Instantiate the database object.
     *
     * @return void
     */
    public function __construct($lng = null)
    {

        if (!is_null($lng)) {
            $lg = $lng;
        } else if (defined('DB_PREFIX') && in_array(DB_PREFIX . 'config', Moc10_Db::getInstance()->interface->getTables())) {
            $cfg = new Phire_Table_Config();
            $lg = $cfg->settings['default_language'];
        } else if (isset($_GET['language']) && ($_GET['language'] != '')) {
            $lg = $_GET['language'];
        } else {
            $lg = 'en';
        }

        parent::__construct($lg);

        $langFile = dirname(__FILE__) . '/../../languages/' . $lg . '.xml';
        $this->loadFile($langFile);

    }

}
