<?php

/**
 * Phire Check Plugins
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

// Check for new plugins

$docRoots = array();
$curPlugins = array();
$newPlugins = array();

$sess = Moc10_Session::getInstance();

if (isset($sess->sites)) {

    foreach ($sess->sites as $id) {
        $site = new Phire_Table_Sites();
        $site->findById($id);
        $docRoots[] = array($id, $site->site_docroot);
    }

    $site_ids = array();
    foreach ($sess->sites as $value) {
        $site_ids[] = "site_id = '" . $value . "'";
    }
    $sql = "SELECT * FROM " . DB_PREFIX . "plugins WHERE " . implode(' OR ', $site_ids) . " ORDER BY " . $sort;

    $plugins = new Phire_Table_Plugins();
    $plugins->execute($sql);

    if (isset($plugins->rows[0])) {
        foreach ($plugins->rows as $plugin) {
            $curPlugins[] = $plugin->plugin_file;
        }
    }

    foreach ($docRoots as $docroot) {

        $dir = new Moc10_File_Dir($docroot[1] . BASE_PATH . CONTENT_PATH . '/extensions/plugins');

        if (isset($dir->files[0])) {
            foreach ($dir->files as $fle) {
                if (!is_dir($docroot[1] . BASE_PATH . CONTENT_PATH . '/extensions/plugins/' . $fle) && (!in_array($fle, $curPlugins)) && ($fle != 'index.html')) {
                    $newPlugins[] = array($docroot[0], $docroot[1] . BASE_PATH . CONTENT_PATH . '/extensions/plugins/', $fle);
                }
            }
        }

    }

}

?>
