<?php

/**
 * Phire Check Site
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

if (isset($_GET['site_id'])) {

    $lang = new Phire_Language();
    $none = $lang->__('None');
    $output = '';
    $site = new Phire_Table_Sites();
    $site->findById($_GET['site_id']);

    // Get the title separator of the site.
    if (isset($site->site_id) && ($site->title_separator != '')) {
        $output .= "var sep = '" . $site->title_separator . "';";
    } else {
        $output .= "var sep = '';";
    }

    // Get the templates of a site.
    $templates = new Phire_Table_Templates();
    $templates->findAll('template_id ASC', 'site_id', $_GET['site_id']);
    $tmplAry = array();

    if (isset($templates->rows[0])) {
        foreach ($templates->rows as $template) {
            $tmplAry[] = "Array('" . $template->template_id . "', '" . $template->template_name . "')";
        }
        $output .= ' var templates = Array(Array(\'0\', \'(' . $none . ')\'), ' . implode(", ", $tmplAry) . ');';
    } else {
        $output .= ' var templates = Array(Array(\'0\', \'(' . $none . ')\'));';
    }

    // Get the sections of a site.
    if (isset($_GET['section_id'])) {
        $sections = new Phire_Table_Sections();
        if ($_GET['section_id'] == 0) {
            $sections->findAll('section_id ASC', 'site_id', $_GET['site_id']);
        } else {
            $sections->execute("SELECT * FROM " . DB_PREFIX . "sections WHERE section_id != '" . Moc10_String::setString($_GET['section_id'])->escape() . "' AND site_id = '" . Moc10_String::setString($_GET['site_id'])->escape() . "'");
        }

        $sectAry = array();

        if (isset($sections->rows[0])) {
            foreach ($sections->rows as $section) {
                $sectAry[] = "Array('" . $section->section_id . "', '" . $section->section_title . "')";
            }
            $output .= ' var sections = Array(Array(\'0\', \'(' . $none . ')\'), ' . implode(", ", $sectAry) . ');';
        } else {
            $output .= ' var sections = Array(Array(\'0\', \'(' . $none . ')\'));';
        }

    }

    print($output);

}

?>
