<?php

/**
 * Phire Get Images
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$add = $lang->__('Add Images');
$ste = $lang->__('Site');
$img_nme = $lang->__('Image Name');
$img_tle = $lang->__('Image Title');
$click = $lang->__('Click to Edit');
$sect = $lang->__('Section');
$own = $lang->__('Owner');
$size = $lang->__('Size');
$vw = $lang->__('View');
$remove = $lang->__('Remove?');
$remove_btn = $lang->__('Remove');

$int_sort_id = 'image_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0; width: 5%; text-align: center;\"><a class=\"grayLink\" href=\"./images.php?sort=image_id\">ID #</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 10%; text-align: left;\"><a class=\"grayLink\" href=\"./images.php?sort=site_id\">{$ste}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 18%; text-align: left;\"><a class=\"grayLink\" href=\"./images.php?sort=image_name\">{$img_nme}</a> ({$click})</td><td class=\"grayHeader\" style=\"width: 25%; padding: 0; text-align: left;\"><strong>{$img_tle}</strong></td><td class=\"grayHeader\" style=\"width: 8%; padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./images.php?sort=section_id\">{$sect}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 10%; text-align: center;\"><a class=\"grayLink\" href=\"./images.php?sort=user_id\">{$own}</a></td><td class=\"grayHeader\" style=\"width: 12%; padding: 0; text-align: center;\"><strong>{$size}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><strong>{$vw}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../core/process/calculate.sort.php';

try {

    $sql = null;
    $images = new Phire_Table_Images();
    $pg = (isset($_GET['page'])) ? $_GET['page'] : 1;

    // Build the SQL query for the images based on the values passed and the session data set.
    if (isset($sess->sites)) {

       $site_ids = array();
        foreach ($sess->sites as $value) {
            $site_ids[] = "site_id = '" . $value . "'";
        }
        $sql = "SELECT * FROM " . DB_PREFIX . "images WHERE " . implode(' OR ', $site_ids) . " ORDER BY " . $sort;

        // Execute the SQL query.
        $images->execute($sql);

    }

    // Set the table header, row and footer templates.
    if (isset($images->rows[0])) {

        // Set the table header template.
        $tableHeader = <<<TABLEHEADER
        <form id="imagesForm" action="../core/process/remove.images.php" method="post" onsubmit="return imagesFrm.checkValidate('image', true);">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 2.5% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, imagesFrm, 'rm_images');" /><span style="margin: 0; padding: 0 45px 0 0; font-size: 0.9em; float: right;">[{page_links}]</span><a class="orangeLink" href="./add-images.php">[+] {$add}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        // Set the row template.
        $rowTmpl = "                <tr><td style=\"text-align: center;\">[{image_id}]</td><td style=\"text-align: left;\">[{site_domain}]</td><td>[{image_name_link}]</td><td>[{image_title}]</td><td style=\"text-align: center;\">[{section}]</td><td style=\"text-align: center;\">[{name}]</td><td style=\"text-align: center;\">[{size}]</td><td style=\"padding: 5px 0 5px 0; text-align: center;\"><a href=\"http://[{site_domain}]" . BASE_PATH . CONTENT_PATH . "/assets/images/large/[{image_name}]\"><img src=\"http://[{site_domain}]" . BASE_PATH . CONTENT_PATH . "/assets/images/large/[{image_name}]\" width=\"25%\" alt=\"View [{image_name}]\" /></a></td>[{remove_check}]</tr>\n";

        // Set the table footer template.
        $tableFooter = <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitRedBtn" value="{$remove_btn}" /><span style="display: block; margin: 5px 0 0 0; padding: 0 25px 0 0; font-size: 0.9em; float: right;">[{page_links}]</span></td></tr></table>
        </form>
        <script type="text/javascript">
            imagesFormInit();
        </script>

TABLEFOOTER;

        $image_rows = array();
        $id = null;

        // Iterate through each image, formatting and setting it into a row.
        foreach ($images->rows as $image) {

            $site = new Phire_Table_Sites();
            $site->getSite($image->site_id);

            $section = new Phire_Table_Sections();
            $section->findById($image->section_id);

            if (isset($section->section_id)) {
                $sect = (string)Moc10_String::setString($section->section_title)->strip()->html();
            } else {
                $sect = '&nbsp;';
            }

            if ($image->user_id != 0) {

                $user = new Phire_Table_Users();
                $user->findById($image->user_id);
                $name = (isset($user->user_id)) ? Moc10_String::setString($user->fname)->strip()->html() . ' ' . Moc10_String::setString($user->lname)->strip()->html() : 'N/A';

                $brws = new Moc10_Session_Browser();
                $hgt = ($brws->browser == 'MSIE') ? '25' : '30';

                if (($sess->access != 'Admin') && ($sess->open_authoring[$image->site_id] == 'Off') && ($sess->user_id != $image->user_id)) {
                    $image_name_link = $image->image_name;
                    $removeCheck = "<td style=\"text-align: center; height: {$hgt}px;\">&nbsp;</td>";
                } else {
                    $image_name_link = "<a href=\"./edit-image.php?iid={$image->image_id}\">{$image->image_name}</a>";
                    $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_images{$id}\" name=\"rm_images[]\" value=\"{$image->image_id}\" /></td>";
                    $id++;
                }

            } else {
                $name = 'N/A';
                $image_name_link = "<a href=\"./edit-image.php?iid={$image->image_id}\">{$image->image_name}</a>";
                $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_images{$id}\" name=\"rm_images[]\" value=\"{$image->image_id}\" /></td>";
                $id++;
            }

            $size = null;
            $img = new Moc10_Image($site->site_docroot . BASE_PATH . CONTENT_PATH . '/assets/images/large/' . $image->image_name);

            if ($img->size < 1000) {
                $size = '< 1 KB';
            } else if (($img->size >= 1000) && ($img->size < 1000000)) {
                $size = round(($img->size / 1000), 1) . ' KB';
            } else if ($img->size >= 1000000) {
                $size = round(($img->size / 1000000), 2) . ' MB';
            } else {
                $size = $img->size;
            }

            if (isset($img->width) && isset($img->height)) {
                $size .= ' (' . $img->width . ' x ' . $img->height . ')';
            }

            $image_rows[] = array('image_id' => $image->image_id,
                                  'site_domain' => $site->site_domain,
                                  'image_name_link' => $image_name_link,
                                  'image_title' => $image->image_title,
                                  'image_name' => $image->image_name,
                                  'section' => $sect,
                                  'name' => $name,
                                  'size' => $size,
                                  'remove_check' => $removeCheck);

        }

        // Get the system pagination limit.
        $cfg = new Phire_Table_Config();
        $pg_num = ($cfg->settings['system_pagination_limit'] != 0) ? $cfg->settings['system_pagination_limit'] : count($image_rows);
        $pg_range = ($cfg->settings['system_pagination_range'] != 0) ? $cfg->settings['system_pagination_range'] : null;

        // Render the image results.
        $sess->images = new Moc10_Session_Paginator($image_rows, $pg_num, $pg_range);
        $sess->images->setHeader($tableHeader);
        $sess->images->setRowTemplate($rowTmpl);
        $sess->images->setFooter($tableFooter);
        $sess->images->render($pg, ' | ', 'subLinkOn', 'subLinkOff');

    // Else, print a no results table.
    } else {

        $noimages = $lang->__('There are currently no images.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-images.php">[+] {$add}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="9" style="padding: 25px;">$noimages</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
