<?php

/**
 * Phire Mobile Content Edit Page
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';
require_once '../../core/process/mobile/session.check.php';

include_once '../../core/process/init.php';
include_once '../../core/includes/mobile/header.php';

if (!isset($_GET['pid'])) {

    header('Location: ./pages.php');

} else {

    // Get the user data.
    $page = new Phire_Table_Pages();
    $page->findById($_GET['pid']);

    if ((!isset($page->page_id)) || (!in_array($page->site_id, $sess->sites)) || (($sess->access != 'Admin') && ($sess->open_authoring[$page->site_id] == 'Off') && ($page->user_id != 0) && ($sess->user_id != $page->user_id))) {

        header('Location: ./pages.php');

    } else {

?>
        <br />
        <h3 class="blueHeader">Content &gt; Pages &gt; <?php print($page->page_title); ?></h3>
<?php

        $actionObj = 'Page';
        include_once '../../core/includes/mobile/action.php';

        // Check if an edit page form has been submitted and has returned with errors.
        if (isset($sess->edit_page_form)) {

            try {

                $sess->edit_page_form->render();

            } catch (Exception $e) {

                unset($sess->edit_page_form);

                $form = new Phire_Form_Page('../../core/process/edit.page.php?pid=' . $page->page_id, 'post', '        ');
                $form->init(array('mobile' => 'true', 'page_user_id' => $sess->user_id, 'page_id' => $page->page_id));
                $form->render();

            }

        // Else, initialize and render a new edit page form.
        } else {

            $form = new Phire_Form_Page('../../core/process/edit.page.php?pid=' . $page->page_id, 'post', '        ');
            $form->init(array('mobile' => 'true', 'page_user_id' => $sess->user_id, 'page_id' => $page->page_id));
            $form->render();

        }

        include_once '../../core/includes/mobile/footer.php';

    }

}


?>