<?php

/**
 * Phire Mobile Content Edit Section
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';
require_once '../../core/process/mobile/session.check.php';

include_once '../../core/process/init.php';
include_once '../../core/includes/mobile/header.php';

if (!isset($_GET['sid'])) {

    header('Location: ./sections.php');

} else {

    // Get the section data.
    $section = new Phire_Table_Sections();
    $section->findById($_GET['sid']);

    if ((!isset($section->section_id)) || (!in_array($section->site_id, $sess->sites))) {

        header('Location: ./sections.php');

    } else {

?>
        <br />
        <h3 class="blueHeader">Content &gt; Sections &gt; <?php print($section->section_title); ?></h3>
<?php

        // Check if an edit section form has been submitted and has returned with errors.
        if (isset($sess->edit_section_form)) {

            try {

                $sess->edit_section_form->render();

            } catch (Exception $e) {

                unset($sess->edit_section_form);

                $form = new Phire_Form_Section('../../core/process/edit.section.php?sid=' . $section->section_id, 'post', '        ');
                $form->init(array('mobile' => 'true', 'section_id' => $section->section_id));
                $form->render();

            }

        // Else, initialize and render a new edit section form.
        } else {

            $form = new Phire_Form_Section('../../core/process/edit.section.php?sid=' . $section->section_id, 'post', '        ');
            $form->init(array('mobile' => 'true', 'section_id' => $section->section_id));
            $form->render();

        }

        include_once '../../core/includes/mobile/footer.php';

    }

}

?>